package com.gct.warning.controller;


import com.gct.common.core.result.Result;
import com.gct.warning.service.WnGkMsgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author xsr
 * @since 2021-05-07
 */
@RestController
@RequestMapping("/wnGkMsg")
public class WnGkMsgController {
    @Autowired
    WnGkMsgService wnGkMsgService;

    @GetMapping("/addUserConfirm/{problem}/{measure}/{username}/{resultId}")
    public Result addUserConfirm(
            @PathVariable("problem") String problem,
            @PathVariable("measure") String measure,
            @PathVariable("username") String username,
            @PathVariable("resultId") String resultId) {
        wnGkMsgService.addUserConfirm(problem, measure, username, resultId);
        return Result.ok("更新成功");
    }

    @GetMapping("/extractWorkingConditionDiagnosis/{WellId}/{date}")
    public Result extractWorkingConditionDiagnosis(@PathVariable("WellId") String wellId,@PathVariable("date") String date){
        String result = wnGkMsgService.extractWorkingConditionDiagnosis(wellId,date);
        return Result.ok(result);
    }
}

