package com.gct.warning.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author xsr
 * @since 2021-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "WnGkMsg对象", description = "")
public class WnGkMsg extends Model<WnGkMsg> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "井号")
    private String wellId;

    @ApiModelProperty(value = "级别")
    private String rank;

    @ApiModelProperty(value = "类别")
    private String category;

    @ApiModelProperty(value = "报警内容")
    private String context;

    @ApiModelProperty(value = "报警确认")
    private String confirm;

    @ApiModelProperty(value = "报警时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime wnDate;

    @ApiModelProperty(value = "确认时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime confirmDate;

    @ApiModelProperty(value = "确认人")
    private String confirmUser;

    @ApiModelProperty(value = "下步措施")
    private String nextStep;

    @ApiModelProperty(value = "关联result的id")
    @TableId
    private String resultId;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}