package com.gct.warning.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 所有井的信息
 * </p>
 *
 * @author xsr
 * @since 2021-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "WnWellInfo对象", description = "所有井的信息")
public class WnWellInfo extends Model<WnWellInfo> {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.NONE)
    @ApiModelProperty(value = "井号")
    private String wellId;

    @ApiModelProperty("井名字")
    private String wellName;

    @ApiModelProperty(value = "组织id")
    private Integer orgId;

    @ApiModelProperty(value = "上线时间")
    private LocalDateTime spudDate;

    private Integer level1;

    private Integer level2;

    private Integer level3;

    private Integer level4;

    private Integer level5;

    private Integer level6;

    private String levelName1;

    private String levelName2;

    private String levelName3;

    private String levelName4;

    private String levelName5;

    private String levelName6;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
