package com.gct.warning.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author xsr
 * @since 2021-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "WnWellStatus对象", description = "")
public class WnWellStatus extends Model<WnWellStatus> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "井号")
    private String wellId;

    @ApiModelProperty(value = "时间")
    private LocalDateTime prodDate;

    @ApiModelProperty(value = "已生产时间")
    private Double prodTime;

    @ApiModelProperty(value = "组织id")
    private Integer orgId;

    private Integer level1;

    private Integer level2;

    private Integer level3;

    private Integer level4;

    private Integer level5;

    private Integer level6;

    @ApiModelProperty(value = "层级对应的name")
    private String levelName1;

    private String levelName2;

    private String levelName3;

    private String levelName4;

    private String levelName5;

    private String levelName6;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}