package com.gct.warning.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gct.warning.entity.WnGkMsg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author xsr
 * @since 2021-05-07
 */
public interface WnGkMsgMapper extends BaseMapper<WnGkMsg> {

    IPage<WnGkMsg> getAllGKWarning(IPage<WnGkMsg> page, @Param("date") String date,
                                   @Param("level") Integer level, @Param("rank") List<String> rank, @Param("orgId") Integer orgId);

    IPage<WnGkMsg> getNotConfirmGKWarning(IPage<WnGkMsg> page, @Param("date") String date, @Param("level") Integer level,
                                          @Param("rank") List<String> rank, @Param("orgId") Integer orgId);

    void addWnGkMsg(WnGkMsg wnGkMsg);

    String extractWorkingConditionDiagnosis(@Param("wellId") String wellId,@Param("date") String date);
}
