package com.gct.warning.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gct.warning.entity.WnGkMsg;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author xsr
 * @since 2021-05-07
 */
public interface WnGkMsgService extends IService<WnGkMsg> {
    JSONArray getWnGkMsgCount(String date, Integer level, List<String> rank, JSONArray ja);

    JSONObject getAllGKWarning(String date, Integer level, List<String> rank, Integer orgId, Integer curPage, Integer pageSize);

    JSONObject getNotConfirmGKWarning(String date, Integer level, List<String> rank, Integer orgId, Integer curPage, Integer pageSize);

    void addUserConfirm(String problem, String measure, String username, String resultId);

    void addWnGkMsg(WnGkMsg wnGkMsg);

    JSONArray getProblemListItems(Boolean isdeal, String category, List<String> rank, Integer level, String item, String beginDate, String endDate);

    JSONArray getAllWnGkMsgCountByTime(String beginDate, String endDate, Integer level, JSONArray ja);

    JSONArray getAllDealInTimeByTime(String beginDate, String endDate, Integer level, JSONArray ja);

    String extractWorkingConditionDiagnosis(String wellId,String date);
}
