package com.gct.warning.feignclient;

import com.alibaba.fastjson.JSONArray;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author xusirui 2021/5/31
 */
@FeignClient(value = "dgns-diagnose", fallback = DgnsDataClientFallback.class/*, url = "${feign.addr2}"*/)
public interface DgnsDataClient {

    @RequestMapping("/measure/getAllMeasureInfoAnalysis")
    String getAllMeasureInfoAnalysis(@RequestParam String beginDate, @RequestParam String endDate, @RequestParam String wellDataCount);
}
