package com.gct.warning.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gct.warning.entity.WnWellInfo;
import com.gct.warning.entity.WnWellStatus;
import com.gct.warning.mapper.WnWellInfoMapper;
import com.gct.warning.service.WnWellInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 所有井的信息 服务实现类
 * </p>
 *
 * @author xsr
 * @since 2021-05-08
 */
@Service
public class WnWellInfoServiceImpl extends ServiceImpl<WnWellInfoMapper, WnWellInfo> implements WnWellInfoService {

    @Override
    public void saveAndUpdate(List<WnWellInfo> wellInfoList) {
        wellInfoList.forEach(x -> {
            Map<String, Object> conditionMap = new HashMap<>();
            conditionMap.put("well_id", x.getWellId());
            conditionMap.put("org_id", x.getOrgId());
            QueryWrapper<WnWellInfo> wrapper = new QueryWrapper<WnWellInfo>().allEq(conditionMap);
            WnWellInfo wnWellInfo = this.getOne(wrapper);
            System.out.println(wnWellInfo);
            if (wnWellInfo != null) {
                if (!x.equals(wnWellInfo)) {
                    this.update(x, wrapper);
                }
            } else {
                this.save(x);
            }
        });
    }
}
