package com.gct.warning.mybatisplus;

import com.alibaba.fastjson.JSONObject;
import com.gct.warning.WarningApplication;
import com.gct.warning.service.WnGkMsgService;
import com.gct.warning.service.impl.MainServiceImpl;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.time.LocalDateTime;

/**
 * @author xusirui 2021/5/13
 */
@SpringBootTest(classes = WarningApplication.class)
@RunWith(SpringRunner.class)
@ContextConfiguration
public class ProducerTest {

    @Resource
    private RocketMQTemplate rocketMQTemplate;

    private String topic = "wnGkMsg";

    @Test
    public void test(){
        JSONObject jo = new JSONObject();
        jo.put("wellId","测H001");
        jo.put("rank","3");
        //业务逻辑
        jo.put("category","供液异常");
        jo.put("context","杆断脱");
        jo.put("wnDate", LocalDateTime.now());
        jo.put("resultId","29bb8679-f9bd-4443-8580-6812710b8dc4");

        rocketMQTemplate.sendOneWayOrderly(topic,jo.toJSONString(),jo.getString("wellId"));
    }

    @Autowired
    MainServiceImpl mainService;
}
